Bug 730619 - StorageDomainCreationError is not specific enough
Summary: StorageDomainCreationError is not specific enough
Keywords:
Status: CLOSED EOL
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: 3.3
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: m1
: 3.6.0
Assignee: Tal Nisan
QA Contact: Aharon Canan
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-15 06:23 UTC by Ken Sugawara
Modified: 2016-03-10 06:14 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-04 09:32:49 UTC
oVirt Team: Storage


Attachments (Terms of Use)
excerpt from vdsm.log containing the offending error (31.79 KB, application/octet-stream)
2011-08-15 06:48 UTC, Ken Sugawara
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 45302 master ABANDONED Fail create NFS domain with correct exception upon ENOSPC 2016-03-08 09:17:15 UTC

Description Ken Sugawara 2011-08-15 06:23:57 UTC
Description of problem:
vdsm does not pass meaningful messages to RHEV-M backend when it fails to add a storage domain.

Version-Release number of selected component (if applicable):
vdsm-bootstrap-4.9-91.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Set up a NFS share on a RHEV hypervisor node
2. Fill up the NFS share (dd if=/dev/zero of=/share/dummyfile ...)
3. With RHEV-M, try to add the share as a storage domain
  
Actual results:
An error dialog indicating "Error 351" but no mention of real reason of failing to add the storage domain. This error message is propagated to RHEV-M from vdsm on the storage node.

Expected results:
An error dialog that indicates what's actually happening (e.g. "No space left on device", etc).

Additional info:

Comment 2 Dan Kenigsberg 2011-08-15 06:43:18 UTC
Please attach vdsm.log. On the face of it, it does not seem as something that should - or could - make into rhev-3.0.

Comment 3 Ken Sugawara 2011-08-15 06:48:28 UTC
Created attachment 518228 [details]
excerpt from vdsm.log containing the offending error

Here's an excerpt from vdsm.log that contains the 'No space left on device' error.

Comment 4 Ayal Baron 2012-04-04 15:44:12 UTC
We won't get to this in 6.3 unfortunately. postponing.

Comment 6 Itamar Heim 2013-12-08 07:46:03 UTC
still relevant? still planned for 3.4?

Comment 8 Sergey Gotliv 2014-02-23 09:29:03 UTC
This is the corner case but its still relevant.

Comment 9 Sandro Bonazzola 2015-09-04 09:00:41 UTC
This is an automated message.
This Bugzilla report has been opened on a version which is not maintained anymore.
Please check if this bug is still relevant in oVirt 3.5.4.
If it's not relevant anymore, please close it (you may use EOL or CURRENT RELEASE resolution)
If it's an RFE please update the version to 4.0 if still relevant.

Comment 10 Ken Sugawara 2015-09-04 09:32:49 UTC
Closing. If this bug still exists in the latest release, I'll open a new bug.


Note You need to log in before you can comment on or make changes to this bug.